Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.knipp.rritoolkit.response
Enum ErrorType

    java.lang.Object
      java.lang.Enum<ErrorType>
          de.knipp.rritoolkit.response.ErrorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ErrorType>

    public enum ErrorType

extends java.lang.Enum<ErrorType>

enumeration that contains all known DENIC error codes as well as some generalized error values. The values also contain some pseudo codes that can be used to cover certain groups of error codes.

Version:
  $Revision: 15117 $
Author:
  Klaus Malorny

Enum Constant Summary
`ErrAAAARequiresA` AAAA resource record requires corresponding A resource record
`ErrAccessControlLimitReached` Access control limit reached
`ErrAccessQuotaExceeded` Access quota has been exceeded
`ErrActionKeyUnrecognized` Keyword "Action" cannot be recognized
`ErrActionNotAssignableToRequestType` Request type is missing, either keyword "Domain" or "Holder"
`ErrARecordRequired` An IN-A record must exist
`ErrAuthInfo1AlreadyExists` Deprecated. does no longer occur in the official list
`ErrAuthInfo1DoesNotExist` Authinfo1 does not exist
`ErrAuthInfo2AlreadyExists` Deprecated. does no longer occur in the official list
`ErrAuthInfoDoesNotMatch` AuthInfo does not match
`ErrAuthInfoExpireNotExactlyOnce` Keyword "AuthInfoExpire" can appear once and just once
`ErrAuthInfoExpireValueOutOfRange` Value for "AuthInfoExpire" is out of range
`ErrAuthInfoHashNotExactlyOnce` Keyword "AuthInfoHash" must appear once and just once
`ErrConcurrentWrite` Concurrent write access to the same business object is prohibited
`ErrConnectionTimeout` Connection released due to time-out
`ErrContactDoesNotExist` At least one contact does not exist
`ErrContactMaintainedByDifferentProv` This contact is administered by another provider
`ErrDnsDataIsNotAcceptable` The provided DNS data are not acceptable
`ErrDnskeyInvalid` Dnskey invalid
`ErrDnskeyWrongFormat` "Dnskey" wrong format
`ErrDomainACEMismatch` Mismatch between values for "Domain-ace" and "Domain"
`ErrDomainDoesNotExist` This domain doesn't exist
`ErrDomainExists` Domain already exists
`ErrDomainHasDescription` Domain has Description
`ErrDomainKeyUnrecognized` Keyword "Domain" cannot be recognized
`ErrDomainMaintainedByDifferentProv` This Domain is administered by another provider
`ErrDomainMustBeConnected` The domain has to be connected/Domain "Status" is "failed"
`ErrDomainToDeleteDoesNotExist` This domain doesn't exist
`ErrDsaKeySizeInvalid` DSA Key has invalid size (213+[0-8]*24 bytes)
`ErrDsaKeySizeParameterTOutOfRange` DSA Key Size Parameter T out of range (0 - 8)
`ErrDuplicateCtid` Ctid
`ErrDuplicateMXPrefValue` At least 2 MX entries have the identical preference
`ErrDuplicateNSEntry` Duplicate nsentry record is present
`ErrDuplicateNServerValue` Duplicate value(s) for "Nserver"
`ErrDuplicateRoleForContact` Contact occurs more than once in the same role
`ErrEMailMissingInContact` Within a contact "Email" is missing
`ErrFailedDueActiveChProv` The request cannot be processed because of an active CHPROV
`ErrFailedDueActiveDispute` The request cannot be processed because of an active DISPUTE
`ErrFaxMissingInContact` Within a contact "Fax" is missing
`ErrGermanAddressReqForHolderOrAdmin` Either the holder(s) or the admin-c must have a postal address in Germany
`ErrHolderDoesNotMatch` Holder does not match
`ErrHoldersDoNotMatchDatabase` The value(s) for "Holder" (and/or the number of holders) does not match the database
`ErrIllegalNSNumber` Illegal number of name servers in domain
`ErrInadmissibleActionValue` Inadmissible value for keyword "Action"
`ErrInadmissibleDisconnectValue` Inadmissible value for keyword "Disconnect"
`ErrInadmissibleDomainValue` Deprecated. does no longer occur in the official list
`ErrInadmissibleMsgTypeValue` Inadmissible value for keyword "MsgType"
`ErrInadmissibleRecursiveValue` Inadmissible value for keyword "Recursive"
`ErrInadmissibleVersionValue` Inadmissible value for keyword "Version"
`ErrInadmissibleWithProviderValue` Inadmissible value for keyword "WithProvider"
`ErrIncorrectCountryCodeValue` The value for "CountryCode" is not a valid ISO code
`ErrIncorrectDiscloseValue` Inadmissible value for keyword "Disclose"
`ErrIncorrectEMailValue` The value for "Email" has an invalid format
`ErrIncorrectPhoneOrFaxValue` The value for "Phone" and/or "Fax" has an invalid format
`ErrIncorrectSipValue` Invalid character(s) in "Sip" value
`ErrIncorrectTypeValue` Inadmissable value for keyword "Type"
`ErrInvalidActionValue` This value of "Action" is not permitted here
`ErrInvalidAuthInfoExpireFormat` Invalid format of value for keyword "AuthInfoExpire"
`ErrInvalidAuthInfoHashValue` Invalid format of value for keyword "AuthInfoHash"
`ErrInvalidCharactersInCtid` Invalid character(s) in "Ctid" value
`ErrInvalidCharactersInValue` The value contains one or more invalid characters
`ErrInvalidContact` An indicated contact is invalid
`ErrInvalidDnsData` Invalid DNS Data (Nsentry, Dnskey)
`ErrInvalidDNSType` Illegal dnsentry type
`ErrInvalidDomainValue` Invalid value for "Domain"
`ErrInvalidDomainValueFormat` Invalid format of value for keyword "Domain"
`ErrInvalidGlueIPAddress` The IP is invalid in at least one glue record
`ErrInvalidMXPrefValue` Preference values for MX-RR are outside of range (0-999)
`ErrInvalidNSEntryOwner` Mismatch(es) between "Nsentry" value(s) and "Domain"
`ErrInvalidNSEntryType` Incorrect value(s) for "Nsentry" (not IN A or IN MX entries)
`ErrInvalidOrMissingDomainData` Required domain data is missing
`ErrMailHeaderIsIncomplete` Mail header is incomplete
`ErrMessageDoesNotExist` MsgId does not exist
`ErrMissingAddressKey` Keyword "Address" cannot be recognized
`ErrMissingAdminCKey` Keyword "Admin-c" cannot be recognized
`ErrMissingCityKey` Keyword "City" cannot be recognized
`ErrMissingCountryCodeKey` Keyword "CountryCode" cannot be recognized
`ErrMissingDNSInformation` DNS information is missing
`ErrMissingHandleKey` Keyword "Handle" cannot be recognized
`ErrMissingMXPref` Missing mail exchange preference of DNS entry
`ErrMissingNameKey` Keyword "Name" cannot be recognized
`ErrMissingOrInvalidContactData` Required contact data are missing or invalid
`ErrMissingOrMultiplePasswordKeys` Keyword "Password" must appear once and just once
`ErrMissingOrMultipleUserKeys` Keyword "User" must appear once and just once
`ErrMissingPostalCodeKey` Keyword "PostalCode" cannot be recognized
`ErrMissingTypeKey` Keyword "Type" cannot be recognized
`ErrMoreThanFiveNSEntryKeys` More than five occurrences of keyword "Nsentry"
`ErrMultipleCityKeys` Keyword "City" must appear once and just once
`ErrMultipleCountryCodeKeys` Keyword "Country" must appear once and just once
`ErrMultipleDiscloseKeys` Keyword "Disclose" must appear once and just once
`ErrMultipleDisconnectKeys` Keyword "Disconnect" must appear once and just once
`ErrMultipleDomainACEKeys` Keyword "Domain-ace" must appear once and just once
`ErrMultipleHandleOrDomainKeys` Keyword "Handle" or "Domain" must appear once and just once
`ErrMultipleNameKeys` Keyword "Name" must appear once and just once
`ErrMultiplePostalCodeKeys` Keyword "PostalCode" must appear once and just once
`ErrMultipleRecursiveKeys` Keyword "Recursive" must appear once and just once
`ErrMultipleTargets` Domain holder migration allows one target handle only
`ErrMultipleTypeKeys` Keyword "Type" must appear once and just once
`ErrMultipleWithProviderKeys` Keyword "WithProvider" must appear once and just once
`ErrNameMustNotBeChanged` The value of "Name" cannot be changed with an UPDATE
`ErrNoOrderFound` No order found
`ErrNotOldestMessage` Only the first message in the queue may be deleted
`ErrPhoneMissingInContact` Within a contact "Phone" is missing
`ErrRecipientIsUnascertainable` Recipient is unascertainable
`ErrRequiredChProvDataMissing` Required change provider request data is missing
`ErrRequiredGlueRecMissing` Required glue record is missing
`ErrRevokeFlagMustNotBeSet` Revoke flag must not be set in DNSKEY
`ErrRoleMustBePersonOrRole` Keyword "Organisation" invalid with "Type" "ORG"
`ErrRsaKeyExponentTooLarge` RSA Key exponent is too big (more than 128 bits long)
`ErrRsaKeyModulusOutOfRange` RSA Key modulus out of range (512-4096 bits long)
`ErrSemanticErrorInRequest` Request shows semantics error
`ErrSignatureTooOld` Signature of request is correct but too old
`ErrSignatureVerificationFailed` Verification of signature failed
`ErrSyntaxErrorInRequest` The request has an invalid key/value pair format
`ErrTextPartNotProperlyEncoded` Text part has not been encoded properly
`ErrTooManyContactsForRole` Too many contacts are indicated
`ErrTooManyFailedLogins` Number of failed logins exceeds allowed maximum
`ErrTypeMustNotBeChanged` The value of "Type" cannot be changed with an UPDATE
`ErrUnauthorizedRequest` Unauthorized request
`ErrUnknownDNSType` Unknown dnsentry type
`ErrUserOrPasswordWrong` Authorization failure (value for "User" not an authorized handle or incorrect password)
`ErrValueCannotBeDeleted` This value cannot be deleted
`ErrValueTooLong` The value is too long
`ErrVersionKeyUnrecognized` Keyword "Version" cannot be recognized
`ErrWrongContactTypeForRole` Contact with wrong type
`ErrZoneCheck` Name server error
`ErrZoneKeyFlagMustBeSet` Zone Key flag must be set in DNSKEY
`FatalNotLoggedIn` Login failed or you are not authorized
`FatalRequestTooLong` The request message exceeds the size limit
`FatalTooManyLogins` The maximum number of permitted logins has been reached
`FatalUnsupportedEncoding` The encoding specified is not supported
`FatalXMLValidationFailed` Validation of XML request against Schema failed
`InfoAckProcessed` ACK received and processed
`InfoAuthInfoDeleted` AuthInfo deleted
`InfoAuthInfoLetterNotDelivered` AuthInfo letter could not be delivered
`InfoAvailWithProviderReq` This months available "WithProvider" requests
`InfoChProvReceived` CHPROV-request received for your domain
`InfoDomainAlreadyHHMigrated` Domain already migrated to holder-handle
`InfoDomainDeleteByLegalDepartment` Domain was deleted according to DENIC Legal Department
`InfoExistingAuthInfo2` Existing Authinfo2 for Domain
`InfoTestEnvironment` Request was processed in test environment - not valid in real world
`InfoUsedAccessQuota` Information about the used access quota
`InfoZoneContactReplaced` Value for "Zone-c" has been replaced by "DENIC-1000100-OPS"
`None` special value: no error at all
`Other` special value: other error than the specified ones
`WarnNSEntriesFaulty` The NS entries are faulty.
`WarnSecureEntryPointShouldBeSet` Secure Entry Point flag should be set in DNSKEY
`WarnUnauthorizedWithProviderReq` Unauthorized "WithProvider = true" request
`WarnUsedAccessQuota` Warning about reaching the access quota
`WarnZoneCheck` Zonecheck warning

Field Summary
`private static ErrorMapper<ErrorType>` | `mapper` the mapper
`private ErrorPattern` | `pattern` the pattern

Method Summary
`static java.util.List<ResultMessage>` | `filter(Response resp, ErrorType... codes)` filter those result messages that match one of the given codes
`static java.util.EnumSet<ErrorType>` | `getErrors(ErrorCode ec)` return a collection of all detected errors
`static java.util.EnumSet<ErrorType>` | `getErrors(Response resp)` create a summary of all errors occurring in the response.
`static ErrorType` | `test(Response resp, ErrorType... codes)` test whether any of the given error codes occur in the response.
`static ErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InfoTestEnvironment

    public static final ErrorType InfoTestEnvironment

  Request was processed in test environment - not valid in real world

### InfoUsedAccessQuota

    public static final ErrorType InfoUsedAccessQuota

  Information about the used access quota

### InfoZoneContactReplaced

    public static final ErrorType InfoZoneContactReplaced

  Value for "Zone-c" has been replaced by "DENIC-1000100-OPS"

### InfoAuthInfoDeleted

    public static final ErrorType InfoAuthInfoDeleted

  AuthInfo deleted

### InfoAuthInfoLetterNotDelivered

    public static final ErrorType InfoAuthInfoLetterNotDelivered

  AuthInfo letter could not be delivered

### InfoChProvReceived

    public static final ErrorType InfoChProvReceived

  CHPROV-request received for your domain

### InfoAckProcessed

    public static final ErrorType InfoAckProcessed

  ACK received and processed

### InfoExistingAuthInfo2

    public static final ErrorType InfoExistingAuthInfo2

  Existing Authinfo2 for Domain

### InfoAvailWithProviderReq

    public static final ErrorType InfoAvailWithProviderReq

  This months available "WithProvider" requests

### InfoDomainAlreadyHHMigrated

    public static final ErrorType InfoDomainAlreadyHHMigrated

  Domain already migrated to holder-handle

### InfoDomainDeleteByLegalDepartment

    public static final ErrorType InfoDomainDeleteByLegalDepartment

  Domain was deleted according to DENIC Legal Department

### WarnUsedAccessQuota

    public static final ErrorType WarnUsedAccessQuota

  Warning about reaching the access quota

### WarnNSEntriesFaulty

    public static final ErrorType WarnNSEntriesFaulty

  The NS entries are faulty. The status of the domain is failed

### WarnZoneCheck

    public static final ErrorType WarnZoneCheck

  Zonecheck warning

### WarnUnauthorizedWithProviderReq

    public static final ErrorType WarnUnauthorizedWithProviderReq

  Unauthorized "WithProvider = true" request

### WarnSecureEntryPointShouldBeSet

    public static final ErrorType WarnSecureEntryPointShouldBeSet

  Secure Entry Point flag should be set in DNSKEY

### ErrConcurrentWrite

    public static final ErrorType ErrConcurrentWrite

  Concurrent write access to the same business object is prohibited

### ErrAccessQuotaExceeded

    public static final ErrorType ErrAccessQuotaExceeded

  Access quota has been exceeded

### ErrUnauthorizedRequest

    public static final ErrorType ErrUnauthorizedRequest

  Unauthorized request

### ErrSignatureVerificationFailed

    public static final ErrorType ErrSignatureVerificationFailed

  Verification of signature failed

### ErrSignatureTooOld

    public static final ErrorType ErrSignatureTooOld

  Signature of request is correct but too old

### ErrContactDoesNotExist

    public static final ErrorType ErrContactDoesNotExist

  At least one contact does not exist

### ErrValueCannotBeDeleted

    public static final ErrorType ErrValueCannotBeDeleted

  This value cannot be deleted

### ErrFailedDueActiveChProv

    public static final ErrorType ErrFailedDueActiveChProv

  The request cannot be processed because of an active CHPROV

### ErrFailedDueActiveDispute

    public static final ErrorType ErrFailedDueActiveDispute

  The request cannot be processed because of an active DISPUTE

### ErrDomainMustBeConnected

    public static final ErrorType ErrDomainMustBeConnected

  The domain has to be connected/Domain "Status" is "failed"

### ErrConnectionTimeout

    public static final ErrorType ErrConnectionTimeout

  Connection released due to time-out

### ErrInvalidDomainValueFormat

    public static final ErrorType ErrInvalidDomainValueFormat

  Invalid format of value for keyword "Domain"

### ErrHoldersDoNotMatchDatabase

    public static final ErrorType ErrHoldersDoNotMatchDatabase

  The value(s) for "Holder" (and/or the number of holders) does not match the database

### ErrGermanAddressReqForHolderOrAdmin

    public static final ErrorType ErrGermanAddressReqForHolderOrAdmin

  Either the holder(s) or the admin-c must have a postal address in Germany

### ErrPhoneMissingInContact

    public static final ErrorType ErrPhoneMissingInContact

  Within a contact "Phone" is missing

### ErrFaxMissingInContact

    public static final ErrorType ErrFaxMissingInContact

  Within a contact "Fax" is missing

### ErrEMailMissingInContact

    public static final ErrorType ErrEMailMissingInContact

  Within a contact "Email" is missing

### ErrRequiredGlueRecMissing

    public static final ErrorType ErrRequiredGlueRecMissing

  Required glue record is missing

### ErrZoneCheck

    public static final ErrorType ErrZoneCheck

  Name server error

### ErrIllegalNSNumber

    public static final ErrorType ErrIllegalNSNumber

  Illegal number of name servers in domain

### ErrMissingMXPref

    public static final ErrorType ErrMissingMXPref

  Missing mail exchange preference of DNS entry

### ErrHolderDoesNotMatch

    public static final ErrorType ErrHolderDoesNotMatch

  Holder does not match

### ErrRequiredChProvDataMissing

    public static final ErrorType ErrRequiredChProvDataMissing

  Required change provider request data is missing

### ErrAccessControlLimitReached

    public static final ErrorType ErrAccessControlLimitReached

  Access control limit reached

### ErrDnsDataIsNotAcceptable

    public static final ErrorType ErrDnsDataIsNotAcceptable

  The provided DNS data are not acceptable

### ErrNoOrderFound

    public static final ErrorType ErrNoOrderFound

  No order found

### ErrTextPartNotProperlyEncoded

    public static final ErrorType ErrTextPartNotProperlyEncoded

  Text part has not been encoded properly

### ErrMailHeaderIsIncomplete

    public static final ErrorType ErrMailHeaderIsIncomplete

  Mail header is incomplete

### ErrSyntaxErrorInRequest

    public static final ErrorType ErrSyntaxErrorInRequest

  The request has an invalid key/value pair format

### ErrSemanticErrorInRequest

    public static final ErrorType ErrSemanticErrorInRequest

  Request shows semantics error

### ErrActionKeyUnrecognized

    public static final ErrorType ErrActionKeyUnrecognized

  Keyword "Action" cannot be recognized

### ErrVersionKeyUnrecognized

    public static final ErrorType ErrVersionKeyUnrecognized

  Keyword "Version" cannot be recognized

### ErrDomainKeyUnrecognized

    public static final ErrorType ErrDomainKeyUnrecognized

  Keyword "Domain" cannot be recognized

### ErrInvalidContact

    public static final ErrorType ErrInvalidContact

  An indicated contact is invalid

### ErrInvalidCharactersInValue

    public static final ErrorType ErrInvalidCharactersInValue

  The value contains one or more invalid characters

### ErrValueTooLong

    public static final ErrorType ErrValueTooLong

  The value is too long

### ErrInadmissibleActionValue

    public static final ErrorType ErrInadmissibleActionValue

  Inadmissible value for keyword "Action"

### ErrInadmissibleVersionValue

    public static final ErrorType ErrInadmissibleVersionValue

  Inadmissible value for keyword "Version"

### ErrDuplicateCtid

    public static final ErrorType ErrDuplicateCtid

  Ctid

### ErrInvalidCharactersInCtid

    public static final ErrorType ErrInvalidCharactersInCtid

  Invalid character(s) in "Ctid" value

### ErrActionNotAssignableToRequestType

    public static final ErrorType ErrActionNotAssignableToRequestType

  Request type is missing, either keyword "Domain" or "Holder"

### ErrTooManyFailedLogins

    public static final ErrorType ErrTooManyFailedLogins

  Number of failed logins exceeds allowed maximum

### ErrMissingOrMultipleUserKeys

    public static final ErrorType ErrMissingOrMultipleUserKeys

  Keyword "User" must appear once and just once

### ErrMissingOrMultiplePasswordKeys

    public static final ErrorType ErrMissingOrMultiplePasswordKeys

  Keyword "Password" must appear once and just once

### ErrUserOrPasswordWrong

    public static final ErrorType ErrUserOrPasswordWrong

  Authorization failure (value for "User" not an authorized handle or incorrect password)

### ErrContactMaintainedByDifferentProv

    public static final ErrorType ErrContactMaintainedByDifferentProv

  This contact is administered by another provider

### ErrMultipleHandleOrDomainKeys

    public static final ErrorType ErrMultipleHandleOrDomainKeys

  Keyword "Handle" or "Domain" must appear once and just once

### ErrMissingHandleKey

    public static final ErrorType ErrMissingHandleKey

  Keyword "Handle" cannot be recognized

### ErrMultipleTypeKeys

    public static final ErrorType ErrMultipleTypeKeys

  Keyword "Type" must appear once and just once

### ErrMissingTypeKey

    public static final ErrorType ErrMissingTypeKey

  Keyword "Type" cannot be recognized

### ErrMultipleNameKeys

    public static final ErrorType ErrMultipleNameKeys

  Keyword "Name" must appear once and just once

### ErrMissingNameKey

    public static final ErrorType ErrMissingNameKey

  Keyword "Name" cannot be recognized

### ErrMissingAddressKey

    public static final ErrorType ErrMissingAddressKey

  Keyword "Address" cannot be recognized

### ErrMultiplePostalCodeKeys

    public static final ErrorType ErrMultiplePostalCodeKeys

  Keyword "PostalCode" must appear once and just once

### ErrMissingPostalCodeKey

    public static final ErrorType ErrMissingPostalCodeKey

  Keyword "PostalCode" cannot be recognized

### ErrMultipleCityKeys

    public static final ErrorType ErrMultipleCityKeys

  Keyword "City" must appear once and just once

### ErrMissingCityKey

    public static final ErrorType ErrMissingCityKey

  Keyword "City" cannot be recognized

### ErrMultipleCountryCodeKeys

    public static final ErrorType ErrMultipleCountryCodeKeys

  Keyword "Country" must appear once and just once

### ErrMissingCountryCodeKey

    public static final ErrorType ErrMissingCountryCodeKey

  Keyword "CountryCode" cannot be recognized

### ErrMultipleDiscloseKeys

    public static final ErrorType ErrMultipleDiscloseKeys

  Keyword "Disclose" must appear once and just once

### ErrIncorrectTypeValue

    public static final ErrorType ErrIncorrectTypeValue

  Inadmissable value for keyword "Type"

### ErrIncorrectCountryCodeValue

    public static final ErrorType ErrIncorrectCountryCodeValue

  The value for "CountryCode" is not a valid ISO code

### ErrIncorrectEMailValue

    public static final ErrorType ErrIncorrectEMailValue

  The value for "Email" has an invalid format

### ErrIncorrectSipValue

    public static final ErrorType ErrIncorrectSipValue

  Invalid character(s) in "Sip" value

### ErrIncorrectDiscloseValue

    public static final ErrorType ErrIncorrectDiscloseValue

  Inadmissible value for keyword "Disclose"

### ErrIncorrectPhoneOrFaxValue

    public static final ErrorType ErrIncorrectPhoneOrFaxValue

  The value for "Phone" and/or "Fax" has an invalid format

### ErrMissingOrInvalidContactData

    public static final ErrorType ErrMissingOrInvalidContactData

  Required contact data are missing or invalid

### ErrInvalidActionValue

    public static final ErrorType ErrInvalidActionValue

  This value of "Action" is not permitted here

### ErrRoleMustBePersonOrRole

    public static final ErrorType ErrRoleMustBePersonOrRole

  Keyword "Organisation" invalid with "Type" "ORG"

### ErrTypeMustNotBeChanged

    public static final ErrorType ErrTypeMustNotBeChanged

  The value of "Type" cannot be changed with an UPDATE

### ErrNameMustNotBeChanged

    public static final ErrorType ErrNameMustNotBeChanged

  The value of "Name" cannot be changed with an UPDATE

### ErrDomainMaintainedByDifferentProv

    public static final ErrorType ErrDomainMaintainedByDifferentProv

  This Domain is administered by another provider

### ErrMultipleDomainACEKeys

    public static final ErrorType ErrMultipleDomainACEKeys

  Keyword "Domain-ace" must appear once and just once

### ErrMissingAdminCKey

    public static final ErrorType ErrMissingAdminCKey

  Keyword "Admin-c" cannot be recognized

### ErrMoreThanFiveNSEntryKeys

    public static final ErrorType ErrMoreThanFiveNSEntryKeys

  More than five occurrences of keyword "Nsentry"

### ErrMissingDNSInformation

    public static final ErrorType ErrMissingDNSInformation

  DNS information is missing

### ErrDuplicateRoleForContact

    public static final ErrorType ErrDuplicateRoleForContact

  Contact occurs more than once in the same role

### ErrInvalidDomainValue

    public static final ErrorType ErrInvalidDomainValue

  Invalid value for "Domain"

### ErrDomainDoesNotExist

    public static final ErrorType ErrDomainDoesNotExist

  This domain doesn't exist

### ErrDomainACEMismatch

    public static final ErrorType ErrDomainACEMismatch

  Mismatch between values for "Domain-ace" and "Domain"

### ErrDuplicateNServerValue

    public static final ErrorType ErrDuplicateNServerValue

  Duplicate value(s) for "Nserver"

### ErrInvalidMXPrefValue

    public static final ErrorType ErrInvalidMXPrefValue

  Preference values for MX-RR are outside of range (0-999)

### ErrInvalidNSEntryType

    public static final ErrorType ErrInvalidNSEntryType

  Incorrect value(s) for "Nsentry" (not IN A or IN MX entries)

### ErrDuplicateNSEntry

    public static final ErrorType ErrDuplicateNSEntry

  Duplicate nsentry record is present

### ErrInvalidNSEntryOwner

    public static final ErrorType ErrInvalidNSEntryOwner

  Mismatch(es) between "Nsentry" value(s) and "Domain"

### ErrDuplicateMXPrefValue

    public static final ErrorType ErrDuplicateMXPrefValue

  At least 2 MX entries have the identical preference

### ErrUnknownDNSType

    public static final ErrorType ErrUnknownDNSType

  Unknown dnsentry type

### ErrInvalidDNSType

    public static final ErrorType ErrInvalidDNSType

  Illegal dnsentry type

### ErrInvalidOrMissingDomainData

    public static final ErrorType ErrInvalidOrMissingDomainData

  Required domain data is missing

### ErrTooManyContactsForRole

    public static final ErrorType ErrTooManyContactsForRole

  Too many contacts are indicated

### ErrWrongContactTypeForRole

    public static final ErrorType ErrWrongContactTypeForRole

  Contact with wrong type

### ErrARecordRequired

    public static final ErrorType ErrARecordRequired

  An IN-A record must exist

### ErrInvalidGlueIPAddress

    public static final ErrorType ErrInvalidGlueIPAddress

  The IP is invalid in at least one glue record

### ErrDomainExists

    public static final ErrorType ErrDomainExists

  Domain already exists

### ErrInadmissibleDomainValue

    public static final ErrorType ErrInadmissibleDomainValue

  Deprecated. does no longer occur in the official list
  Incorrect format value for keyword "Domain"

### ErrDomainToDeleteDoesNotExist

    public static final ErrorType ErrDomainToDeleteDoesNotExist

  This domain doesn't exist

### ErrMultipleDisconnectKeys

    public static final ErrorType ErrMultipleDisconnectKeys

  Keyword "Disconnect" must appear once and just once

### ErrInadmissibleDisconnectValue

    public static final ErrorType ErrInadmissibleDisconnectValue

  Inadmissible value for keyword "Disconnect"

### ErrAuthInfoDoesNotMatch

    public static final ErrorType ErrAuthInfoDoesNotMatch

  AuthInfo does not match

### ErrAuthInfoHashNotExactlyOnce

    public static final ErrorType ErrAuthInfoHashNotExactlyOnce

  Keyword "AuthInfoHash" must appear once and just once

### ErrAuthInfoExpireNotExactlyOnce

    public static final ErrorType ErrAuthInfoExpireNotExactlyOnce

  Keyword "AuthInfoExpire" can appear once and just once

### ErrInvalidAuthInfoHashValue

    public static final ErrorType ErrInvalidAuthInfoHashValue

  Invalid format of value for keyword "AuthInfoHash"

### ErrInvalidAuthInfoExpireFormat

    public static final ErrorType ErrInvalidAuthInfoExpireFormat

  Invalid format of value for keyword "AuthInfoExpire"

### ErrAuthInfoExpireValueOutOfRange

    public static final ErrorType ErrAuthInfoExpireValueOutOfRange

  Value for "AuthInfoExpire" is out of range

### ErrAuthInfo1AlreadyExists

    public static final ErrorType ErrAuthInfo1AlreadyExists

  Deprecated. does no longer occur in the official list
  Authinfo1 already exists

### ErrDomainHasDescription

    public static final ErrorType ErrDomainHasDescription

  Domain has Description

### ErrAuthInfo1DoesNotExist

    public static final ErrorType ErrAuthInfo1DoesNotExist

  Authinfo1 does not exist

### ErrAuthInfo2AlreadyExists

    public static final ErrorType ErrAuthInfo2AlreadyExists

  Deprecated. does no longer occur in the official list
  AuthInfo2 already exists

### ErrRecipientIsUnascertainable

    public static final ErrorType ErrRecipientIsUnascertainable

  Recipient is unascertainable

### ErrMultipleWithProviderKeys

    public static final ErrorType ErrMultipleWithProviderKeys

  Keyword "WithProvider" must appear once and just once

### ErrMultipleRecursiveKeys

    public static final ErrorType ErrMultipleRecursiveKeys

  Keyword "Recursive" must appear once and just once

### ErrInadmissibleWithProviderValue

    public static final ErrorType ErrInadmissibleWithProviderValue

  Inadmissible value for keyword "WithProvider"

### ErrInadmissibleRecursiveValue

    public static final ErrorType ErrInadmissibleRecursiveValue

  Inadmissible value for keyword "Recursive"

### ErrInadmissibleMsgTypeValue

    public static final ErrorType ErrInadmissibleMsgTypeValue

  Inadmissible value for keyword "MsgType"

### ErrNotOldestMessage

    public static final ErrorType ErrNotOldestMessage

  Only the first message in the queue may be deleted

### ErrMessageDoesNotExist

    public static final ErrorType ErrMessageDoesNotExist

  MsgId does not exist

### ErrMultipleTargets

    public static final ErrorType ErrMultipleTargets

  Domain holder migration allows one target handle only

### ErrZoneKeyFlagMustBeSet

    public static final ErrorType ErrZoneKeyFlagMustBeSet

  Zone Key flag must be set in DNSKEY

### ErrRevokeFlagMustNotBeSet

    public static final ErrorType ErrRevokeFlagMustNotBeSet

  Revoke flag must not be set in DNSKEY

### ErrRsaKeyModulusOutOfRange

    public static final ErrorType ErrRsaKeyModulusOutOfRange

  RSA Key modulus out of range (512-4096 bits long)

### ErrRsaKeyExponentTooLarge

    public static final ErrorType ErrRsaKeyExponentTooLarge

  RSA Key exponent is too big (more than 128 bits long)

### ErrDsaKeySizeParameterTOutOfRange

    public static final ErrorType ErrDsaKeySizeParameterTOutOfRange

  DSA Key Size Parameter T out of range (0 - 8)

### ErrDsaKeySizeInvalid

    public static final ErrorType ErrDsaKeySizeInvalid

  DSA Key has invalid size (213+[0-8]*24 bytes)

### ErrInvalidDnsData

    public static final ErrorType ErrInvalidDnsData

  Invalid DNS Data (Nsentry, Dnskey)

### ErrAAAARequiresA

    public static final ErrorType ErrAAAARequiresA

  AAAA resource record requires corresponding A resource record

### ErrDnskeyWrongFormat

    public static final ErrorType ErrDnskeyWrongFormat

  "Dnskey" wrong format

### ErrDnskeyInvalid

    public static final ErrorType ErrDnskeyInvalid

  Dnskey invalid

### FatalTooManyLogins

    public static final ErrorType FatalTooManyLogins

  The maximum number of permitted logins has been reached

### FatalRequestTooLong

    public static final ErrorType FatalRequestTooLong

  The request message exceeds the size limit

### FatalUnsupportedEncoding

    public static final ErrorType FatalUnsupportedEncoding

  The encoding specified is not supported

### FatalXMLValidationFailed

    public static final ErrorType FatalXMLValidationFailed

  Validation of XML request against Schema failed

### FatalNotLoggedIn

    public static final ErrorType FatalNotLoggedIn

  Login failed or you are not authorized

### Other

    public static final ErrorType Other

  special value: other error than the specified ones

### None

    public static final ErrorType None

  special value: no error at all

Field Detail

### pattern

    private ErrorPattern pattern

  the pattern

### mapper

    private static final ErrorMapper<ErrorType> mapper

  the mapper

Method Detail

### values

    public static ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorType c : ErrorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getErrors

    public static java.util.EnumSet<ErrorType> getErrors(ErrorCode ec)

  return a collection of all detected errors

  Parameters:
    `ec` - the error code
  Returns:
    the set of matching values

### getErrors

    public static java.util.EnumSet<ErrorType> getErrors(Response resp)

  create a summary of all errors occurring in the response. If an error occurs that is not mapped to one of the enum values, a special value `Other` is added to returned set.

  Parameters:
    `resp` - the response
  Returns:
    the set of matching values

### test

    public static ErrorType test(Response resp,
                                 ErrorType... codes)

  test whether any of the given error codes occur in the response. If multiple of the specified error codes exist, the first of the actual parameters is returned. If the response has result messages, but they do not match any of the parameters, a special value `Other` is returned. If the response has no result messages at all, `None` is returned.

  Parameters:
    `resp` - the response
    `codes` - the error codes to test for
  Returns:
    the matching code or `Other` or `None`

### filter

    public static java.util.List<ResultMessage> filter(Response resp,
                                                       ErrorType... codes)

  filter those result messages that match one of the given codes

  Parameters:
    `resp` - the response
    `codes` - the codes to use for filtering
  Returns:
    the list of result messages that match

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH